Annonce de Subsurface 4.8.1

L’équipe de développement de Subsurface est fière de vous annoncer la version 4.8.1 de Subsurface, un carnet de plongée numérique et un planificateur de plongée open source pour Windows, Mac et Linux.

Cette version corrige un certain nombre de bugs mineur ainsi que quelques nouvelles fonctionnalités.

Quelque uns des changements apportés dans Subsurface 4.8.1:

  • Mac: Correction des craches lors de l’ouverture du manuel d’utilisation ou de la connexion a Facebook
  • BLE support: fix recognition of Heinrich Weikamp OSTC 2 and OSTC Plus
  • BT support: fix downloading / configuring some OSTC models
  • Cloud storage: fix potential issue with credentials on Linux
  • Profile: Context menu entry to manually split a dive
  • Dive media: support addition of videos
  • Dive media: locate moved files based on filename and path
  • Planner: fix bug in dive mode drop-down and planner notes

Binaries are available for Windows, Mac, and an AppImage for x86-64 Linux (plus distribution specific binaries for a number of Linux flavors including Ubuntu, Debian, Linux Mint, Fedora, and openSUSE). Please note that distributions based on Ubuntu 18.04 are currently not supported with distribution specific binaries due to a change in the way Qt is packaged in the latest Ubuntu version.

You can get Subsurface 4.8.1 from these locations:

Windows:
https://subsurface-divelog.org/downloads/subsurface-4.8.1.exe

Mac:
https://subsurface-divelog.org/downloads/Subsurface-4.8.1.dmg

Linux: A generic AppImage is available for download at the Subsurface GitHub Release page. Download Subsurface-4.8.1-x86_64.AppImage, make it executable

chmod +x Subsurface-4.8.1-x86_64.AppImage and then simply run this file.

Linux: Ubuntu: Add ppa:subsurface/subsurface to your software sources; the .deb files in that PPA can also be installed on sufficiently current versions Debian and LinuxMint; see the Downloads page and use http://ppa.launchpad.net/subsurface/subsurface/ubuntu to get our latest release version. Again, Ubuntu 18.04 based releases currently aren’t supported by this.

Linux: openSUSE / Fedora: go to our open build service release page

Please post questions of problems in the User Forum or file a bug in our Bug Tracker.